import type { ApolloServerBase, Config as ApolloConfig } from 'apollo-server-core';
import type { Config } from './typings/config';
export declare abstract class BullMonitor<TServer extends ApolloServerBase> {
    private _queues;
    private _queuesMap;
    private _readonlyQueuesMap;
    private _ui;
    private _metricsCollector?;
    constructor(config: Config);
    abstract init(...args: any): Promise<any>;
    get queues(): Config['queues'];
    set queues(queues: Config['queues']);
    protected gqlBasePath: string;
    protected config: Required<Config>;
    protected server: TServer;
    protected createServer(Server: new (config: ApolloConfig) => TServer): void;
    protected startServer(): Promise<void>;
    protected renderUi(): string;
    protected get baseUrl(): string;
    protected get uiEndpoint(): string;
    protected get gqlEndpoint(): string;
    private _initQueues;
    private _normalizeConfig;
    private _initMetricsCollector;
}
